/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Marca;
import com.rjconsultores.ventaboletos.entidad.RedondeoMarca;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderRedondeoMarca implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        RedondeoMarca redondeoMarca = (RedondeoMarca) o;

        Listcell lc = new Listcell();

        Marca marca = redondeoMarca.getMarca();

        lc = new Listcell(marca.getDescmarca() == null ? "" : marca.getDescmarca());
        lc.setParent(lstm);


        lstm.setAttribute("data", redondeoMarca);
    }
}
